## Pushover Notification

Send notification to your smartphone with Pushover!

![Details](images/readme-details.png)

## Usage
Add a new task, select **Pushover Notification** from the **Utility** category and configure it as needed.

Parameters include:

- **Token**: Your pushover application API token
- **User/Group Key**: The user/group key (not e-mail address) of your user (or you), viewable when logged into our dashboard (often referred to as USER_KEY in our documentation and code examples)
- **Title**: Your message's title
- **Message**: Your message content
- **Priority**: Choice `No Notification (-2)` to generate no notification/alert, `Quiet Notification (-1)` to always send as a quiet notification, `High Priority (1)` to display as high-priority and bypass the user's quiet hours, or `Requires Confirmation (2)` to also require confirmation from the user
- **Expire**: The `expire` parameter specifies how many seconds your notification will continue to be retried for (every `retry` seconds). If the notification has not been acknowledged in `expire` seconds, it will be marked as expired and will stop being sent to the user. Note that the notification is still shown to the user after it is expired, but it will not prompt the user for acknowledgement. This parameter must have a maximum value of at most `10800` seconds (3 hours)
- **Retry**: The `retry` parameter specifies how often (in seconds) the Pushover servers will send the same notification to the user. In a situation where your user might be in a noisy environment or sleeping, retrying the notification (with sound and vibration) will help get his or her attention. This parameter must have a value of at least `30` seconds between retries.
- **Device**: Your user's device name to send the message directly to that device, rather than all of the user's devices (multiple devices may be separated by a comma)
- **Link URL**: A [supplementary URL](https://pushover.net/api#urls) to show with your message
- **URL Title**: A title for your supplementary URL, otherwise just the URL is shown

## Release notes

**New in 1.0.2**
- First version with basic notification;
- Notification user, group and/or specific device;
- Priority with retry ant expire options;
- Additional url for details;

## Did you like it? Please, make a donate :)

if you liked this project, please make a contribution and help to keep this and other initiatives, send me some Satochis.

BTC Wallet: `1G535x1rYdMo9CNdTGK3eG6XJddBHdaqfX`

![1G535x1rYdMo9CNdTGK3eG6XJddBHdaqfX](https://i.imgur.com/mN7ueoE.png)
